<?php
	require_once("phpExcel/PHPExcel.php");
	require_once("phpExcel/PHPExcel/Reader/Excel2007.php");

	// Create new PHPExcel object
	
	function encabezado_pln_notas($ruta){
		if (!file_exists($ruta)) {
			return array('valid'=>false,"msg"=>"Archivo no existe" );
			exit;
		}
		date_default_timezone_set('Europe/London');
		//creamos objeto para leer del excel
		$objReader = new PHPExcel_Reader_Excel2007();
		//cargamos el archivo excel(extensión *.xlsx)
		$objPHPExcel = $objReader->load($ruta);
		if($objPHPExcel->getSheetCount()>3){
			delArchivo($ruta);
			return array('valid'=>false,"msg"=>"No se puede leer el archivo");
			exit();
		}
		// Asignamos el excel activo
		$objPHPExcel->setActiveSheetIndex(1);
		$hojaActiva=$objPHPExcel->getActiveSheet();
		$periodo = $hojaActiva->getCell("E1")->getValue();
		$grupo=$hojaActiva->getCell("C1")->getValue();
		$numnot=(int)$hojaActiva->getCell("A2")->getValue();
		$numest=(int) $hojaActiva->getCell("B2")->getValue();
		if($numnot<=0 || $numest<=0 || $grupo=='' || $periodo==''){
			delArchivo($ruta);
			return array('valid'=>false);
			exit();
		}
		$dtsDoc=array(
			'valid'=>true,
			'nomSede' => $hojaActiva->getCell("A1")->getValue(),
			'nomJorn' => $hojaActiva->getCell("B1")->getValue(),
			'nomGrup' => $grupo,
			'doc' => $hojaActiva->getCell("F1")->getValue(),
			'nomMate' => $hojaActiva->getCell("D1")->getValue(),
			'periodo' => $periodo,
			'numNot' => $numnot,
			'numEst' => $numest,
			'cc'=>$hojaActiva->getCell("F2")->getValue(),
		);
		unset($hojaActiva);
		unset($objReader);
		unset($objPHPExcel);
		return $dtsDoc;
	}
	function delArchivo($r){ 
		unlink($r);
	}
?>